from setuptools import setup

setup(
    name='powernovo',
    version='1.0.13',
    packages=['powernovo', 'powernovo.utils', 'powernovo.models',
              'powernovo.models.spectrum', 'powernovo.models.peptide_bert', 'powernovo.peptides',
              'powernovo.proteins', 'powernovo.beam_search', 'powernovo.pipeline_config',
              'powernovo.depthcharge_base', 'powernovo.depthcharge_base.data',
              'powernovo.depthcharge_base.utils', 'powernovo.depthcharge_base.encoders',
              'powernovo.depthcharge_base.tokenizers', 'powernovo.depthcharge_base.transformers'],
    url='https://github.com/protdb/PowerNovo',
    license='MIT',
    author='Denis Petrovskiy',
    author_email='petro2017@mail.ru',
    description='PowerNovo: A New Efficient Tool for De Novo Peptide Sequencing',
    install_requires=['torch>=2.0.1',
                      'numpy~=1.26.3',
                      'transformers~=4.36.2',
                      'requests~=2.31.0',
                      'pandas~=2.1.4',
                      'npysearch~=1.3.1',
                      'networkx~=3.2.1',
                      'deap~=1.4.1',
                      'tqdm~=4.66.1',
                      'PyYAML~=6.0.1',
                      'pyteomics~=4.6.3',
                      'dill~=0.3.7',
                      'h5py~=3.10.0',
                      'selfies~=2.1.1',
                      'rdkit~=2023.9.4',
                      'einops~=0.7.0',
                      'numba~=0.58.1',
                      'spectrum_utils',
                      'biopython',
                      'lxml',
                      'sortedcontainers~=2.4.0']
)
